Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Flexible Incremental Authorization


Use this information to process an incremental authorization for a Flexible transaction. You can process multiple incremental authorizations for a single EV charging session. Use this type of authorization when the final transaction amount of the charging session is more than the amount of the initial authorization. When the final transaction amount is less than the total authorized amount, an automatic, host-generated partial reversal request is sent.

For more information about this payment service, see Flexible Transaction Scenario.

Endpoints

PATCH /pts/v2/payments/{id}

PATCH /pts/v2/payments/{id}

The {id} is the transaction ID returned in the original authorization response.

Example

This example shows a REST incremental authorization request for a Visa transaction in the Flexible scenario.

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Flexible Incremental Auth",    "partner": {      "developerId": "DEVID001",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "SOLID001"    }   },  "processingInformation": {    "authorizationOptions": {      "initiator": {        "storedCredentialUsed": true      }    }  },  "orderInformation": {    "amountDetails": {      "additionalAmount": "10.00",      "currency": "USD"    }  },  "merchantInformation": {    "transactionLocalDateTime": 20191002080000  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7474221808366131703814/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7474222613396289103814"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7474221808366131703814/captures"    }  },  "clientReferenceInformation": {    "comments": "Flexible Incremental Auth",    "code": "test123",    "partner": {      "developerId": "DEVID001",      "solutionId": "SOLID001"    }  },  "id": "7474222613396289103814",  "orderInformation": {    "amountDetails": {      "totalAmount": "30.00",      "authorizedAmount": "10.00",      "currency": "USD"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "F"    }  },  "processorInformation": {    "systemTraceAuditNumber": "067388",    "approvalCode": "033470",    "transactionId": "305136685813069",    "responseCode": "00"  },  "reconciliationId": "7474221808366131703814",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-05-16T19:04:21Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Incremental Auth.
clientReferenceInformation.partner.developerId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned developer ID.
clientReferenceInformation.partner.solutionId assigns this value (maximum 8 characters) when you onboard as a partner. The example value is a placeholder: substitute your assigned solution ID.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.additionalAmount
orderInformation.amountDetails.currency
processingInformation.authorizationOptions.initiator.credentialStoredOnFile

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.